Loading...
Searching...
No Matches
BALL::SortedPosition3 Struct Reference

`#include <BALL/STRUCTURE/reducedSurface.h>`

## Public Member Functions

| SortedPosition3 (Position a1, Position a2, Position a3)
bool | operator== (const SortedPosition3 &pos) const
bool | operator< (const SortedPosition3 &pos) const

## Public Attributes

Position | a
Position | b
Position | c

## Detailed Description

Definition at line 96 of file reducedSurface.h.

## Constructor & Destructor Documentation

## SortedPosition3()

BALL::SortedPosition3::SortedPosition3 | ( | Position | a1,
|  | Position | a2,
|  | Position | a3 )

inline

Definition at line 98 of file reducedSurface.h.

## Member Function Documentation

## operator<()

bool BALL::SortedPosition3::operator< | ( | const SortedPosition3 & | pos | ) | const

inline

Definition at line 111 of file reducedSurface.h.

## operator==()

bool BALL::SortedPosition3::operator== | ( | const SortedPosition3 & | pos | ) | const

inline

Definition at line 106 of file reducedSurface.h.

## Member Data Documentation

## a

Position BALL::SortedPosition3::a

Definition at line 143 of file reducedSurface.h.

## b

Position BALL::SortedPosition3::b

Definition at line 144 of file reducedSurface.h.

## c

Position BALL::SortedPosition3::c

Definition at line 145 of file reducedSurface.h.